<script>import { createEventDispatcher } from 'svelte';
import useStyles from './Alert.styles';
import { Box } from '../Box';
import IconRenderer from '../IconRenderer/IconRenderer.svelte';
import { CloseButton } from '../ActionIcon';
export let use = [], element = undefined, className = 'blue', override = {}, title = undefined, color = 'red', radius = 'sm', variant = 'light', icon = undefined, iconSize = 16, iconProps = {}, withCloseButton = false, closeButtonLabel = undefined;
export { className as class };
const dispatch = createEventDispatcher();
function onClose() {
    dispatch('close');
}
$: ({ cx, classes } = useStyles({ color, radius, variant }, { name: 'Alert', override }));
</script>

<Box {use} bind:element role="alert" class={cx(className, variant, classes.root)} {...$$restProps}>
	<div class={classes.wrapper}>
		<slot name="icon">
			{#if icon}
				<IconRenderer {icon} className={classes.icon} {iconSize} {iconProps} />
			{/if}
		</slot>

		<div class={classes.content}>
			{#if title}
				<div class={classes.title}>
					<span class={classes.label}>
						{title}
					</span>
					{#if withCloseButton}
						<CloseButton
							class={classes.closeButton}
							aria-label={closeButtonLabel}
							variant="transparent"
							size={iconSize}
							{iconSize}
							on:click={onClose}
						/>
					{/if}
				</div>
			{/if}
			<div class={classes.message}>
				<slot />
			</div>
		</div>
	</div>
</Box>
